Bug 22719 - eth: too much work on interrupt disables networking
Summary: eth: too much work on interrupt disables networking
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-22 06:32 UTC by Pekka Savola
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2000-12-22 06:32:20 UTC
2.2.16-3 with:

00:10.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone]
(rev 30)

I saw these in kernel log:

eth0: Too much work in interrupt, status e481.
eth0: Too much work in interrupt, status e081.

After these, the interface is still up but nothing goes through it, ie. it 
looks like a black hole. 

ifdown eth0 ; ifup eth0 fixes that.

max_interrupt_work can probably be tuned, but that's not the real problem. 
The interface
should wake up back after having too much work when there is no longer so
much work.

Comment 1 Bugzilla owner 2004-09-30 15:38:52 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.